Subject: RE: Role of attribute certificates in long-term archiving

From: Alexandre Dulaunoy <[email-masked]>
Date: Sun, 1 Feb 2004 10:19:06 +0100 (CET)

On Sun, 1 Feb 2004 [email-masked] wrote:

> 
> > Marta:
> >
> > There does not seem to be any benefit gained by using the attribute
> certificate format 
> > for archived data.
> 
> I think the digital archive must have at least the same features as
> classical stone archive. My personal expirience is if you want to
> explore some old documents in archive  you must first prove your
> identity, explain your purpose why you need these documents, and based
> on this the appropriate permitions for the specific part of archive is
> given to you.

Except for the  public archive of the public  administration or public
domain  archive/libraries.  The   only  limitation  is  sometimes  the
conservative approach  of the  physical media/support (in  the digital
world, we don't have this issue but we have others ;-) but no proof is
required for accessing the archive. 

The document  should consider the  both aspect of  long-term archiving
where a  "proof" is  required for accessing  and where "proof"  is not
required for accessing. 

> Analogically in digital world, you can prove your identity with
> certificate and attributte certificate represents appropriate permitions
> given to you.

Yes but sometimes is not required or optional.

> 
> Identity of person who put document into archive 50 years ago could be
> irrelevant. 

Yes. 

just my .02 EUR,

adulau

-- 
-- 	  	     Alexandre Dulaunoy (adulau) -- http://www.foo.be/
-- 	   http://pgp.ael.be:11371/pks/lookup?op=get&search=0x44E6CBCD
-- 	   "Knowledge can create problems, it is not through ignorance
-- 				  that we can solve them" Isaac Asimov

---

From: "Santosh Chokhani" <[email-masked]>
Date: Sun, 1 Feb 2004 10:54:57 -0500

Marta:

If you are talking about who has the authorizations to access the digital
archive, we can discuss some of the options for authentication and
authorization for retrieval.  I interpreted your e-mail as saying that the
archived document should be in the form of an attribute certificate.

Now in terms of authentication and authorization, given the potential long
life time of the archive, we have to be concerned with the following issues:

	-- Cryptographic strength of end entity certificate
	-- Cryptographic strength of authority (CA and attribute authority)
certificate
	-- Stability of names asserted the certificates
	-- Stability of the attributes names asserted in the attribute
certificate

If the group decides that authentication and authorization standard should
be included for retrieval (as opposed to retrieval being a matter of local
archive policy), then we need to keep the above in mind to determine how the
long-term  identity validation and authorization should be done.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
On Behalf Of [email-masked]
Sent: Sunday, February 01, 2004 1:54 AM
To: [email-masked]
Subject: RE: Role of attribute certificates in long-term archiving

certificate format 

I think the digital archive must have at least the same features as
classical stone archive. My personal expirience is if you want to explore
some old documents in archive  you must first prove your identity, explain
your purpose why you need these documents, and based on this the appropriate
permitions for the specific part of archive is given to you.

Analogically in digital world, you can prove your identity with certificate
and attributte certificate represents appropriate permitions given to you.

Marta

---

From: Jeff Williams <[email-masked]>
Date: Sun, 01 Feb 2004 13:07:49 -0800

Santosh and all,

  I fully agree with your list of concerning issues, Santosh.  However
there is also the issue of legal jurisdiction in multiple international
jurisdictions.  Has anyone else given this consideration given recent
laws passed in some EU and Asian countries?

> Identity of person who put document into archive 50 years ago could be

Regards,

--
Jeffrey A. Williams
Spokesman for INEGroup LLA. - (Over 134k members/stakeholders strong!)
"Be precise in the use of words and expect precision from others" -
    Pierre Abelard

"If the probability be called P; the injury, L; and the burden, B;
liability depends upon whether B is less than L multiplied by
P: i.e., whether B is less than PL."
United States v. Carroll Towing  (159 F.2d 169 [2d Cir. 1947]
===============================================================
Updated 1/26/04
CSO/DIR. Internet Network Eng. SR. Eng. Network data security
IDNS. div. of Information Network Eng.  INEG. INC.
E-Mail [email-masked]
Contact Number: 214-244-4827

---

From: "Santosh Chokhani" <[email-masked]>
Date: Sun, 1 Feb 2004 14:19:41 -0500

Jeff:

To my knowledge, LTANS is focusing on defining technical security mechanisms
for archiving for long term.  It is not addressing all the legal and
technical issues involved in operating an archive service.

-----Original Message-----
From: Jeff Williams [mailto:[email-masked]] 
Sent: Sunday, February 01, 2004 4:08 PM
To: Santosh Chokhani
Cc: [email-masked]; Mark milone
Subject: Re: Role of attribute certificates in long-term archiving

Santosh and all,

  I fully agree with your list of concerning issues, Santosh.  However there
is also the issue of legal jurisdiction in multiple international
jurisdictions.  Has anyone else given this consideration given recent laws
passed in some EU and Asian countries?

Santosh Chokhani wrote:

> Marta:
>
> If you are talking about who has the authorizations to access the 
> digital archive, we can discuss some of the options for authentication 
> and authorization for retrieval.  I interpreted your e-mail as saying 
> that the archived document should be in the form of an attribute 
> certificate.
>
> Now in terms of authentication and authorization, given the potential 
> long life time of the archive, we have to be concerned with the 
> following issues:
>
>         -- Cryptographic strength of authority (CA and attribute 
> authority) certificate
> If the group decides that authentication and authorization standard 
> should be included for retrieval (as opposed to retrieval being a 
> matter of local archive policy), then we need to keep the above in 
> mind to determine how the long-term  identity validation and 
> authorization should be done.
>
> certificate and attributte certificate represents appropriate 
> permitions given to you.
>

Regards,

--
Jeffrey A. Williams
Spokesman for INEGroup LLA. - (Over 134k members/stakeholders strong!) "Be
precise in the use of words and expect precision from others" -
    Pierre Abelard

"If the probability be called P; the injury, L; and the burden, B; liability
depends upon whether B is less than L multiplied by
P: i.e., whether B is less than PL."
United States v. Carroll Towing  (159 F.2d 169 [2d Cir. 1947]
===============================================================
Updated 1/26/04
CSO/DIR. Internet Network Eng. SR. Eng. Network data security IDNS. div. of
Information Network Eng.  INEG. INC. E-Mail [email-masked] Contact
Number: 214-244-4827

---

From: Jeff Williams <[email-masked]>
Date: Sun, 01 Feb 2004 18:07:24 -0800

Santosh and all,

  Understood. However in not doing so, proper or reasonable
technical security mechanisms cannot adequately be considered
advisable...

Regards,

---

From: "Santosh Chokhani" <[email-masked]>
Date: Mon, 2 Feb 2004 07:29:56 -0400

Jeff:

If some one defines additional legal or local policy requirements, they can 
add applicable enforcement mechanisms.

As to 3161, I still do not recall any specific problem with it with respect 
to trusted archive.  Remember that trusted archive will refresh the time 
stamp before its expiry.

On Sun, 01 Feb 2004 18:07:24 -0800, Jeff Williams wrote
> >   I fully agree with your list of concerning issues, Santosh.  However 
there
> > > Identity of person who put document into archive 50 years ago could be
liability
> Spokesman for INEGroup LLA. - (Over 134k members/stakeholders 
> strong!) "Be precise in the use of words and expect precision from 
> others" -    Pierre Abelard
>

---

From: Jeff Williams <[email-masked]>
Date: Mon, 02 Feb 2004 17:15:30 -0800

Santosh and all,

> add applicable enforcement mechanisms.

 I agree if the proposed standard provides adequately enough for such
legal and/or policy requirements to be enforceable.

> to trusted archive.  Remember that trusted archive will refresh the time

  Understood here. However I think you may have missed part of my
original point.  That being essentially this suggestion as you put it,
encompass the definitions for which those archives are trusted based
upon the content of said archive was originally valid and accurate
as to it's real originator.

Regards,